/*
 * Copyright 2011-2019 The OTP authors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

@ERROR: #FF6060;
@WARNING: #FFF070;
@INFO: #BDE5F8;
@ALL: #6fd2ca;
@th: #D0D0D0;
@td: #F0F0F0;
@hover: #E8E8FF;

#border {
    border-style: solid;
    border-width: 10px;
    padding: 5px;
}

.borderMetadataImportERROR {
    border-color: @ERROR;
}

.borderMetadataImportWARNING {
    border-color: @WARNING;
}

.borderMetadataImportALL {
    border-color: green;
}

.ERROR {
    background-color: @ERROR !important;
}

.WARNING {
    background-color: @WARNING !important;
    color: black !important;
}

.INFO {
    background-color: @INFO !important;
}

li.ALL {
    background-color: @ALL;
}

th {
    background-color: @th;
}

td {
    background-color: @td;
}

tr:hover td {
    background-color: @hover;
}

.sticky-wrap {
    position: relative;
}

.sticky-wrap .sticky-thead,
.sticky-col,
.sticky-intersect {
    opacity: 1;
    position: absolute;
    top: 0;
    left: 0;
}

.sticky-wrap .sticky-thead,
.sticky-col {
    z-index: 50;
}

.fixed-scrollbar {
    z-index: 100;
}

.sticky-intersect {
    opacity: 0;
    z-index: 75;
}

table, td, th {
    border: 1px solid white;
    border-spacing: 0;
}

span.anchor {
    display: block;
    position: relative;
    top: -100px;
    visibility: hidden;
}

.errorMessage {
    font-size: 0.8em;
    margin: 0.5em 0em;
    padding: 0.5em;
    border: 1px solid #ffaaaa;
    color: #cc0000;
    background: #fff3f3 url(../images/skin/exclamation.png) 0 50% no-repeat;
    text-indent: 22px;
    background-origin: content-box;
}

#sampleSwap input {
    width: 100%;
     box-sizing: border-box;
}
.sampleSwapCommentBoxContainer {
    float: right;
    margin-top: -90px;
    margin-bottom: 5px;
}

#sampleSwap input[readonly]
{
    background:rgba(0,0,0,0);
    border:none;
}

span {
    tab-size: 32;
    -moz-tab-size: 32;
}

.ui-tooltip {
    white-space: pre-line;
}